1

Does DD4T 1.31 .NET Version supports SDL Web 8? The similar question has been answered in the below post for Java Version. DD4T versions for SDL Tridion 2013 and SDL Web 8?

Thanks, Prasanna

1

I think the big question would be, why would you consider upgrading your CMS and still use an unmaintained framework for your web application?

DD4T 2.0 is the current and maintained release, there is full support in there for using the Web 8 CIL (https://github.com/dd4t/DD4T.Providers.SDLWeb8.CIL).

However you should be able to use DD4T 1.31 with the Web 8 in process API, and even the CIL, since they are backwards compatible. There are no Web 8 providers built for DD4T 1.31, since it is not maintained anymore. But you can simply use the Web 8 Content Delivery stack by updating the assembly bindings in your web.config like I described in my article about using DXA 1.2 with Web 8. Please note DXA is using the DD4T provider (be it the 2.0 version), hence the similarities, although you might need to do some additional steps for DD4T specificly.

| improve this answer | |
  • Thank you Bart, While Migrating to Web 8 we have many applications which is running on DD4T 1.31, As per client timelines we need to finish upgrade in less time, we thought of keep existing application as it is by upgrading provider and later move to DD4T 2.0. While in a discussion with SDL, We informed we are planning to use 2.0 they suggested to stick with 1.31 it self as DXA supports that. Appreciate your valuable feedback – Prasanna K Gollamudi Jun 15 '16 at 13:57
0

In the post marked by you, it is clearly mentioned.

For your scenario there are two options:

  1. DD4T 1.31 will work with SDL Web 8 only you will have to compile with JDK 8.0
  2. Upgrade to DD4T 2.* to get advantage of CIL / REST from Web 8.

Update based on additional Input:

Yes, DD4T 1.31 is supported for Web 8 for .Net, please refer to the question: DD4T for Web8

| improve this answer | |
  • What about DD4T 1.31 .NET version? – Prasanna K Gollamudi Jun 14 '16 at 19:39
  • Please update your question to include that you are using .Net and not java as answered by other post. – Hiren Kaku Jun 14 '16 at 20:13
  • Changed Thank you. – Prasanna K Gollamudi Jun 14 '16 at 21:09
  • As per the update from other question that I I have updated in answer: DD4T 1.31 works with Web 8. – Hiren Kaku Jun 14 '16 at 21:14
  • the given post mentioned dd4t templating, does dd4t delivery application supports web 8, do we have provider for web 8 in dd4t 1.3 – Prasanna K Gollamudi Jun 15 '16 at 6:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.